#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 tls
version:              2.0.2
visibility:           public
id:                   tls-2.0.2-BHLehrIIzHK6JZKpeicmkj
key:                  tls-2.0.2-BHLehrIIzHK6JZKpeicmkj
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Vincent Hanquez <vincent@snarc.org>
homepage:             https://github.com/haskell-tls/hs-tls
synopsis:             TLS protocol native implementation
description:
    Native Haskell TLS 1.2/1.3 protocol implementation for servers and clients.

category:             Network
abi:                  ce344399b3d35cd5f1632a52f45c20b8
exposed:              True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Extra Network.TLS.Extra.Cipher Network.TLS.Extra.FFDHE
    Network.TLS.Internal Network.TLS.QUIC

hidden-modules:
    Network.TLS.Struct Network.TLS.Struct13 Network.TLS.Core
    Network.TLS.Context Network.TLS.Context.Internal
    Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
    Network.TLS.Crypto.DH Network.TLS.Crypto.IES
    Network.TLS.Crypto.Types Network.TLS.ErrT Network.TLS.Extension
    Network.TLS.Handshake Network.TLS.Handshake.Certificate
    Network.TLS.Handshake.Client
    Network.TLS.Handshake.Client.ClientHello
    Network.TLS.Handshake.Client.Common
    Network.TLS.Handshake.Client.ServerHello
    Network.TLS.Handshake.Client.TLS12
    Network.TLS.Handshake.Client.TLS13 Network.TLS.Handshake.Common
    Network.TLS.Handshake.Common13 Network.TLS.Handshake.Control
    Network.TLS.Handshake.Key Network.TLS.Handshake.Process
    Network.TLS.Handshake.Random Network.TLS.Handshake.Server
    Network.TLS.Handshake.Server.ClientHello
    Network.TLS.Handshake.Server.ClientHello12
    Network.TLS.Handshake.Server.ClientHello13
    Network.TLS.Handshake.Server.Common
    Network.TLS.Handshake.Server.ServerHello12
    Network.TLS.Handshake.Server.ServerHello13
    Network.TLS.Handshake.Server.TLS12
    Network.TLS.Handshake.Server.TLS13 Network.TLS.Handshake.Signature
    Network.TLS.Handshake.State Network.TLS.Handshake.State13
    Network.TLS.Hooks Network.TLS.IO Network.TLS.Imports
    Network.TLS.KeySchedule Network.TLS.MAC Network.TLS.Measurement
    Network.TLS.Packet Network.TLS.Packet13 Network.TLS.Parameters
    Network.TLS.PostHandshake Network.TLS.Record
    Network.TLS.Record.Disengage Network.TLS.Record.Engage
    Network.TLS.Record.Layer Network.TLS.Record.Reading
    Network.TLS.Record.Writing Network.TLS.Record.State
    Network.TLS.Record.Types Network.TLS.RNG Network.TLS.State
    Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
    Network.TLS.Util Network.TLS.Util.ASN1
    Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
    Network.TLS.X509

import-dirs:          /usr/lib/ghc-9.8.2/site-local/tls-2.0.2
library-dirs:         /usr/lib/ghc-9.8.2/site-local/tls-2.0.2
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/tls-2.0.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/tls-2.0.2
hs-libraries:         HStls-2.0.2-BHLehrIIzHK6JZKpeicmkj
depends:
    asn1-encoding-0.9.6-1rzEGtO4l5hA6Er2qiVHLP
    asn1-types-0.3.4-AxSbg04xlspCu9KXE9P00R
    async-2.2.5-FErQczqPhVNJFThGiXYNBH base-4.19.1.0-inplace
    base16-bytestring-1.0.2.0-KxCt0A4sBXa1hWxI9sOHQX
    bytestring-0.12.1.0-inplace cereal-0.5.8.3-4RYa9Eyikmn79aOWspYXWK
    crypton-0.34-IrrRFuPcuchFfVXk08FVHx
    crypton-x509-1.7.6-4ym5V7aTOf0KOWDEyuGL92
    crypton-x509-store-1.6.9-7l6bg3lnYcyFleVR5tUZpe
    crypton-x509-validation-1.6.12-FHapk5vnnzK7QRugCfD317
    data-default-class-0.1.2.0-HTZSp1FIiwAFU4Ci8TPlFy
    memory-0.18.0-5VC6qIbUogK7VaenoKeDIe mtl-2.3.1-inplace
    network-3.1.5.0-B01CCCWWHQOAL2QMfHujv6
    serialise-0.2.6.1-2IftYpHrgUBLoSYxPNmGp
    transformers-0.6.1.0-inplace
    unix-time-0.4.12-2dS4Y8LpOp7GOvpq8QiouX

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/tls-2.0.2/html/tls.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/tls-2.0.2/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

